clang 8.0.0

Macros
StackAddrEscapeChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugType.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CheckerContext.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for StackAddrEscapeChecker.cpp:

Go to the source code of this file.

## Macros
#define | REGISTER_CHECKER(name)

## Macro Definition Documentation

## ◆ REGISTER_CHECKER

#define REGISTER_CHECKER | ( |  | name | ) |

Value:
void ento::register##name(CheckerManager &Mgr) { \
StackAddrEscapeChecker *Chk = \
Mgr.registerChecker<StackAddrEscapeChecker>(); \
Chk->ChecksEnabled[StackAddrEscapeChecker::CK_##name] = true; \
}

Definition at line 363 of file StackAddrEscapeChecker.cpp.